# Batch APIs

The MountainNews Partner API also supports batch requests allowing you to request snowreports, weather forecasts, resort profiles and cams for multiple resorts.&#x20;

### Query Params

All batch endpoints accept **2 mutually exclusive** query parameters:

* regionId - a string with just one region ID
* resortIds - a comma-separated string like 700,36,1

**At least one is required. If you provide regionId you can't provide resortIds and vice versa.**

You can obtain regionId from the [GET regions](/api-reference/regions.md) endpoint.

### Limits and Pagination

The API currently limits to 50 resorts in one call, even though we're working on increasing this number.&#x20;

Region-related responses are paginated, you can control page number and size using `page` and `pageSize` query params.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://partner.docs.onthesnow.com/api-reference/resorts/batch-apis.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
